/********************************************************************/
/*   SPAWNO v4.0   EMS/XMS/disk swapping replacement for spawn...() */
/*   (c) Copyright 1990, 1991 Ralf Brown  All Rights Reserved	    */
/*								    */
/*   May be freely copied provided that this copyright notice is    */
/*   not altered or removed.					    */
/********************************************************************/

#include <stdlib.h>
#include <errno.h>
#include "spawno.h"

/* By default, the SPAWNO functions which do not accept an explicit	      */
/* environment pointer pass the calling program's original environment to the */
/* child.  You may recompile SPAWNO so that it passes the current environment */
/* by uncommenting the next line and adjusting the definition of ENVP below   */
/* as necessary.  Note that doing so makes the libraries compiler-dependent,  */
/* which is why the distributed libraries do not make use of this option.     */

/* #define USE_ENVP /**/

#ifdef USE_ENVP
#  define ENVP environ	 /* set as appropriate for your compiler */
#  define ENV_SEG (__spawn_buildenv(ENVP))
#else
#  define ENV_SEG 0
#endif /* USE_ENVP */

#ifndef P_WAIT
#  define P_WAIT 0
#endif /* P_WAIT */

unsigned int pascal __spawn_buildenv(const char **env) ;
void pascal __spawn_free_env(void) ;
char * pascal __spawn_search(const char *name) ;

/*=- End of _SPAWNO.H -=*/
